This is the anonymized Dianping (http://www.dianping.com) dataset used in our  SIGIR'14 and DMKD'19 papers for evaluating the quality of social recommender systems. It contains 11,352 users, 10,657 restaurants and 501,472 ratings from April 2003 to November 2013 in Shanghai, China. For the social friend network, there are a total of 280,041 claimed social relationships. We cleaned those edges that point to users who do not have ratings in this dataset, while we used these edges in our experiments. Thus the edge number is smaller than we reported in the paper.

User id and item id are consecutive numbers starting from 0. We use -1 to represent unknown values.

- Format of "user.txt" file:

user id|number of flowers (how many times his/her reviews are 'like' by other users)|following (separated by whitespace)|followers (separated by whitespace)

- Format of "item.txt" file:

item id|average rating score|average taste score|average environment score|average service score|average consumption (Chinese Yuan)

- Format of "rating.txt" file:

user id|item id|rating score|taste score|environment score|service score|consumption (Chinese Yuan)|date

If you use the Dianping dataset please cite our papers:

@article{LiLQMTC19,
  author    = {Hui Li and
               Yu Liu and
               Yuqiu Qian and
               Nikos Mamoulis and
               Wenting Tu and
               David W. Cheung},
  title     = {HHMF: Hidden Hierarchical Matrix Factorization for Recommender Systems},
  journal   = {Data Min. Knowl. Discov.},
  year      = {2019}
}

@inproceedings{LiWTM15,
  author    = {Hui Li and
               Dingming Wu and
               Wenbin Tang and
               Nikos Mamoulis},
  title     = {Overlapping Community Regularization for Rating Prediction in Social
               Recommender Systems},
  booktitle = {RecSys},
  pages     = {27--34},
  year      = {2015}
}